package com.kingdee.eas.custom.esign;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractESignTemplateFileEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractESignTemplateFileEntryInfo()
    {
        this("id");
    }
    protected AbstractESignTemplateFileEntryInfo(String pkField)
    {
        super(pkField);
        put("fields", new com.kingdee.eas.custom.esign.ESignTemplateFileEntryFieldCollection());
    }
    /**
     * Object: 电子签文件模板 's null property 
     */
    public com.kingdee.eas.custom.esign.ESignTemplateInfo getParent()
    {
        return (com.kingdee.eas.custom.esign.ESignTemplateInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.esign.ESignTemplateInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 电子签文件模板 's 电子签文件模板字段 property 
     */
    public com.kingdee.eas.custom.esign.ESignTemplateFileEntryFieldCollection getFields()
    {
        return (com.kingdee.eas.custom.esign.ESignTemplateFileEntryFieldCollection)get("fields");
    }
    /**
     * Object:电子签文件模板's 名称property 
     */
    public String getName()
    {
        return getString("name");
    }
    public void setName(String item)
    {
        setString("name", item);
    }
    /**
     * Object:电子签文件模板's e 签宝模板 idproperty 
     */
    public String getESignTemplateId()
    {
        return getString("eSignTemplateId");
    }
    public void setESignTemplateId(String item)
    {
        setString("eSignTemplateId", item);
    }
    /**
     * Object: 电子签文件模板 's 附件类别 property 
     */
    public com.kingdee.eas.custom.esign.AttachmentStoragePathConfigInfo getAttachmentCategory()
    {
        return (com.kingdee.eas.custom.esign.AttachmentStoragePathConfigInfo)get("attachmentCategory");
    }
    public void setAttachmentCategory(com.kingdee.eas.custom.esign.AttachmentStoragePathConfigInfo item)
    {
        put("attachmentCategory", item);
    }
    /**
     * Object:电子签文件模板's 状态property 
     */
    public com.kingdee.shr.base.syssetting.BaseItemStateEnum getState()
    {
        return com.kingdee.shr.base.syssetting.BaseItemStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.shr.base.syssetting.BaseItemStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    /**
     * Object:电子签文件模板's 同步状态property 
     */
    public com.kingdee.eas.custom.esign.bizEnum.SyncStatusEnum getSyncStatus()
    {
        return com.kingdee.eas.custom.esign.bizEnum.SyncStatusEnum.getEnum(getInt("syncStatus"));
    }
    public void setSyncStatus(com.kingdee.eas.custom.esign.bizEnum.SyncStatusEnum item)
    {
		if (item != null) {
        setInt("syncStatus", item.getValue());
		}
    }
    /**
     * Object:电子签文件模板's 同步结果property 
     */
    public String getSyncResult()
    {
        return getString("syncResult");
    }
    public void setSyncResult(String item)
    {
        setString("syncResult", item);
    }
    /**
     * Object:电子签文件模板's 同步时间property 
     */
    public java.sql.Time getSyncTime()
    {
        return getTime("syncTime");
    }
    public void setSyncTime(java.sql.Time item)
    {
        setTime("syncTime", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("BE4E89AB");
    }
}